# _NvOSD_TextParams Struct Reference

Holds the text parameters of the text to be overlayed. More...

`#include <nvosd.h>`

List of all members.

## Public Attributes

char * | display_text
| Holds the text to be overlayed.
unsigned int | x_offset
| Holds horizontal offset w.r.t top left pixel of the frame.
unsigned int | y_offset
| Holds vertical offset w.r.t top left pixel of the frame.
NvOSD_FontParams | font_params
| font_params.

## Detailed Description

Holds the text parameters of the text to be overlayed.

Definition at line 80 of file nvosd.h.

## Member Data Documentation

char* _NvOSD_TextParams::display_text

Holds the text to be overlayed.

Definition at line 81 of file nvosd.h.

NvOSD_FontParams _NvOSD_TextParams::font_params

font_params.

Definition at line 88 of file nvosd.h.

unsigned int _NvOSD_TextParams::x_offset

Holds horizontal offset w.r.t top left pixel of the frame.

Definition at line 83 of file nvosd.h.

unsigned int _NvOSD_TextParams::y_offset

Holds vertical offset w.r.t top left pixel of the frame.

Definition at line 85 of file nvosd.h.

The documentation for this struct was generated from the following file:

- include/nvosd.h